=== debian/control ===
Source: makepasswd
Section: admin
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/makepasswd.git
Vcs-Browser: https://salsa.debian.org/debian/makepasswd
Rules-Requires-Root: no

Package: makepasswd
Architecture: all
Depends: libbytes-random-secure-perl,
         libcrypt-passwdmd5-perl,
         perl,
         ${misc:Depends},
         ${perl:Depends},
Description: Generate and encrypt passwords
 Generates true random passwords using /dev/urandom, with the emphasis on
 security over pronounceability.  It can also encrypt plaintext passwords
 given in a temporary file.
